com.explodingpixels.macwidgets.plaf

## Class HudButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - com.explodingpixels.macwidgets.plaf.HudButtonUI

    public class HudButtonUI
    extends BasicButtonUI

Creates a Heads Up Display (HUD) style button, similar to that seen in various iApps (e.g. iPhoto).

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

`defaultTextIconGap, defaultTextShiftOffset`

### Constructor Summary

Constructors
Constructor and Description
`HudButtonUI()` Creates a HUD style `ButtonUI` with full rounded edges.
`HudButtonUI(HudPaintingUtils.Roundedness roundedness)` Creates a HUD style `ButtonUI` with the given edge rounded ness.

### Method Summary

Methods
`protected void` `installDefaults(AbstractButton b)`
`void` `paint(Graphics g, JComponent c)`
`protected void` `paintText(Graphics g, AbstractButton button, Rectangle textRect, String text)`

### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

`clearTextShiftOffset, createButtonListener, createUI, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, getPropertyPrefix, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, setTextShiftOffset, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HudButtonUI

    public HudButtonUI()

Creates a HUD style `ButtonUI` with full rounded edges.

#### HudButtonUI

    public HudButtonUI(HudPaintingUtils.Roundedness roundedness)

Creates a HUD style `ButtonUI` with the given edge rounded ness.

Parameters:
  `roundedness` - the rounded style to use for the button edges.

### Method Detail

#### installDefaults

    protected void installDefaults(AbstractButton b)

Overrides:
  `installDefaults` in class `BasicButtonUI`

#### paint

    public void paint(Graphics g,
             JComponent c)

Overrides:
  `paint` in class `BasicButtonUI`

#### paintText

    protected void paintText(Graphics g,
                 AbstractButton button,
                 Rectangle textRect,
                 String text)

Overrides:
  `paintText` in class `BasicButtonUI`